Subject: [PATCH 3/9] uprobes: allow ignoring of probe hits

From: [email-masked] (Oleg Nesterov)
Date: Wed, 17 Oct 2012 19:35:10 +0200

On 10/16, Rabin Vincent wrote:
>
> 2012/10/15 Oleg Nesterov <[email-masked]>:
> >
> > Not sure I understand why we shouldn't call handlers in this case,
> > but OK, I know nothing about arm.
>
> This old discussion about kprobes should be useful:
>
> http://lists.infradead.org/pipermail/linux-arm-kernel/2011-March/045755.html

Thanks... Not sure I understand this discussion...

And, to clarify, I am not arguing. Just curious.

So, is this like cmov on x86? And this patch allows to not report if
the condition is not true? Or there are other issues on arm?

Oleg.